{% extends "base.html" %}

{% block main %}
<h1>Parts / data-replace</h1>

<p class="">
  A value of this attribute controls which element's <b>content</b> will
  be replaced.
</p>
<p>It is a set of CSS selectors divided by ";".</p>
<p>If this attribute is omitted then whole "body" tag will be replaced.</p>
<p>Also a "class" attribute of these elements will be replaced.</p>

<h2>Example 1 - single selector</h2>

<pre><code class="html">&lt;a href="/foo/bar" data-replace="main"&gt;Next page&lt;/a&gt;
</code></pre>

Only contents of a "main" tag will be replaced.


<h2>Example 2 - multiple selectors</h2>

<pre><code class="html">&lt;a href="/foo/bar" data-replace="main; aside"&gt;Next page&lt;/a&gt;
</code></pre>

The contents of 2 tags will be replaced: "main" and "aside".

You can use any valid CSS selectors, not just tags selectors.



<h2>Example 3 - "data-replace" in a parent tag</h2>

You do not want to repeat same attrs in multiple tags:

<pre><code class="html">
&lt;div id="tabs"&gt;
  &lt;a href="/page1" data-replace="main"&gt;Main&lt;/a&gt;
  &lt;a href="/page2" data-replace="main"&gt;Price&lt;/a&gt;
  &lt;a href="/page3" data-replace="main"&gt;Contacts&lt;/a&gt;
&lt;/div&gt;
</code></pre>

You can do it in a parent tag:

<pre><code class="html">
&lt;div id="tabs" data-replace="main"&gt;
  &lt;a href="/page1"&gt;Main&lt;/a&gt;
  &lt;a href="/page2"&gt;Price&lt;/a&gt;
  &lt;a href="/page3"&gt;Contacts&lt;/a&gt;
&lt;/div&gt;
</code></pre>

"div" has no url to perform action on but "a" tags will take
"data-replace" from the closest tag.



<!-- &lt;a href="/ui/buttons"&gt;asd&lt;/a&gt; -->



<!-- <div class="d-flex">
     <div class="flex-grow">
     <button>Ok</button>
     </div>

     <div>
     asd
     </div>
     </div> -->
{% endblock %}
